using System;
using System.Collections.ObjectModel;

namespace SampleProject
{
    public class ViewModel
    {
        private static Random rand = new Random();

        public ViewModel()
        {
            this.Items = this.GetData();
        }

        public ObservableCollection<Item> Items { get; set; }

        private ObservableCollection<Item> GetData()
        {
            var data = new ObservableCollection<Item>();
            for (int i = 0; i < 10; i++)
            {
                data.Add(new Item { ButtonText = string.Format("button text {0}", i), Text = string.Format("textblock text {0}", i) });
            }

            return data;
        }
    }
}